<?php
/**
 * @package Catering Services
 * Setup the WordPress core custom header feature.
 *
 * @uses catering_services_header_style()
*/
function catering_services_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'catering_services_custom_header_args', array(
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 70,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'catering_services_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'catering_services_custom_header_setup' );

if ( ! function_exists( 'catering_services_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see catering_services_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'catering_services_header_style' );

function catering_services_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .topbar{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		    background-size: cover;
		}";
	   	wp_add_inline_style( 'catering-services-basic-style', $custom_css );
	endif;
}
endif;